Notifications
Clear all

Upgrade to Big Sur - now SoftRAID won't start!

(@mostlyfurious)
New Member

Hey all,

I have been running SoftRAID for a week with a OWC Thunderbay 4 with no issues, but have now upgraded my OS to Big Sur. Now every time I try to access SoftRAID I get an error:

An internal part of the SoftRAID application has stopped functioning properly. Please quit SoftRAID and relaunch it. 

 

Quitting and restarting doesn't work, just brings up the same error.  I've tried reinstalling the software but it still comes up with the same error.

 

Quote
Topic starter Posted : 21/11/2020 3:21 pm
Topic Tags
(@softraid-support)
Member Admin

The latest SoftRAID release, 5.8.4, is not compatible with Big Sur. We will be doing public beta's until 6.0 is ready, which could take a few months. New betas will be released as we go.

here is the link to the beta: ​​​​​​​SoftRAID 6

Mark sure you "Allow" OWC as an Identified Developer in Security Preferences in MacOS when prompted.

 

ReplyQuote
Posted : 21/11/2020 4:01 pm
 Rupp
(@rupp)
Active Member

The link in the above post from SoftRaid Support doesn't work for me. Could you please repost an address. Quickly please. 

With all due respect, I have multiple drive bays which are formatted and controlled by SoftRaid. Shouldn't you have warned your customers? Several months is a long time to be without my drives. It's just a bloody good thing that mine are primarily backup. If they were my main drives, I'd be even more screwed.

ReplyQuote
Posted : 21/11/2020 8:04 pm
(@softraid-support)
Member Admin

Take the brackets out, then.

https://www.softraid.com/sr_beta

 

ReplyQuote
Posted : 21/11/2020 10:56 pm
(@mostlyfurious)
New Member

Thanks, that has worked.

ReplyQuote
Topic starter Posted : 22/11/2020 10:37 am
 Rupp
(@rupp)
Active Member

I thought I had taken them out, but I guess not. In any event, I have the beta installed and running. It has worked through a Chronosync backup. SoftRaid disks still show a red asterisk in the finder. If you would like me to try and keep you updated on problems and performance, please let me know.

Thank you.

ReplyQuote
Posted : 22/11/2020 7:06 pm
(@softraid-support)
Member Admin

If you have the ! in the volume icon, then the full driver is not loading.

Most likely you have Secure Boot enabled.

 

Disable it using these instructions:

https://srforums.wpengine.com/pages/support/faq/faq_imacpro_secureboot.html

ReplyQuote
Posted : 22/11/2020 8:20 pm
(@blanchir)
New Member

@softraid-support

I have downloads the beta software and it seems to work flawlessly with my OWC Thunderbay 4

It does however say that the beta Will expire in 21 days

Is this common or is there an update coming?

 

I am very please to have found this in the forum   

ReplyQuote
Posted : 01/12/2020 11:23 am
(@softraid-support)
Member Admin

@blanchir

 

You are auto notified of new betas. One is coming in a day or so.

ReplyQuote
Posted : 01/12/2020 12:38 pm
(@tim-rohrer)
Active Member Customer

@softraid-support This should shown as a "Critical announcement" as well. I tried searching for the error and didn't see this thread until *after* I had started my own thread. Too hard to find the information.

ReplyQuote
Posted : 09/02/2021 9:58 am
(@softraid-support)
Member Admin

@tim-rohrer

It was emailed as a critical announcement. I think your point is it should be more prominent on the web site? Its on the front page on "recent news", where would you put it? I can make suggestions.

ReplyQuote
Posted : 09/02/2021 3:54 pm
(@tim-rohrer)
Active Member Customer
Posted by: @softraid-support

I think your point is it should be more prominent on the web site?

Yes, please.

I had seen the news about M1 Macs (which mine is not), but nothing about plain old Big Sur-based Macs not being able to use currently released software. I looked at the news and didn't see my particular error, and the articles I saw included M1 in the subject so it wasn't clear to me the article was germane for Intel-based Macs. I can see now how it meant to; it just didn't catch my eye because of how I interpreted the wording.

Knowing now what I know, I've looked again at some of the other links. I see now the page titled Compatibility Notes does mention that the beta is required for Macs running Big Sur (and not just the M1-based Macs), but my mind was focused on the error message I was getting, and not thinking about compatibility (another mistake on my part).

Instead, I went to the support forum and did a search, but I think because I started seeing much older threads, I didn't believe it was covered. Searching again, I now see the thread after an older one. It was probably there earlier, but I missed it. If you're able to do a pinned support topic, that would be another place to help highlight the error message people will see when they try to start up the 5.x series of SoftRAID program (M1 or not).

Thanks for the reply, and the efforts to get this working again. I apologize for the comment. It wasn't helpful.

Tim 

ReplyQuote
Posted : 09/02/2021 6:01 pm
(@softraid-support)
Member Admin

I will review and help improve pages where i can. thanks, constructive feedback is always welcome.

ReplyQuote
Posted : 09/02/2021 8:44 pm
(@rozysharma22)
New Member
Posted by: @mostlyfurious

Hey all,

I have been running SoftRAID for a week with a OWC Thunderbay 4 with no issues, but have now upgraded my OS to Big Sur. Now every time I try to access SoftRAID I get an error:

An internal part of the SoftRAID application has stopped functioning properly. Please quit SoftRAID and relaunch it. 

 

Quitting and restarting doesn't work, just brings up the same error.  I've tried reinstalling the software but it still comes up with the same error.

 

 

This post was modified 10 months ago by SoftRAID Support
ReplyQuote
Posted : 07/02/2022 5:20 am
(@softraid-support)
Member Admin

You are probably running version 5 of SoftRAID. Big Sur requires the newer 6.x version.

You can upgrade your license here:
https://software.owcdigital.com/softraid-upgrades/

Note: We do not allow links in signature files or third party links in the forum.

ReplyQuote
Posted : 07/02/2022 7:41 am
Share:
close
open